Subject: Re: [v6ops] Route Information Options in Redirect Messages

From: Fred Baker <[email-masked]>
Date: Tue, 10 Jan 2017 10:18:26 -0800

Passing along a request for comments - not an RFC, an actual request. The draft is in intarea, so commenting directly to intarea would be appropriate. Alternatively, if v6ops wants to discuss here and then pass along a comment, the chairs can do that.

The question to us is not clearly stated, but includes at least projected utility of the change ("this would be useful" and that sort of thing) and any thoughts on its operational impact.

> On Jan 9, 2017, at 11:02 AM, james woodyatt <[email-masked]> wrote:
> 
> On Jan 9, 2017, at 07:51, Templin, Fred L <[email-masked]> wrote:
>> 
>> See below for a new draft that proposes to update RFC4861 and RFC4191 to
>> permit the inclusion of Route Information Options in Redirect Messages.
>> This represents a backward-compatible extension to the IPv6 ND Redirect
>> function. Please review and comment on the list.
>> 
>> <https://tools.ietf.org/html/draft-templin-intarea-rio-redirect>
> 
> p1. I’m interested to see what V6OPS will think of this.
> 
> p2. Section 3.3, Host Specification says this:
> 
>>>   In light of these considerations, a "Type C" host that receives a
>>>   Redirect message containing RIOs adopts the combined behaviors of
>>>   both of these specifications.  Namely, the host updates its neighbor
>>>   cache entry for the Target and updates its routing table per the
>>>   included RIOs.  If the Destination address is not the unspecified
>>>   address, the host further updates its destination cache.
>>> 
>>>   Note that "Type A'" and "Type B" hosts ignore any RIOs and process
>>>   the Redirect message according to Section 8.3 of [RFC4861].
> 
> And I wonder if you have considered the possibility of a “Type D” host, which in my conception would be capable of *only* processing RIO options that appear in ND Redirect messages and *not* in RA messages. I’m not sure that’s a type of host we want to encourage, but the idea of its possibility was one of the first things that sprang to mind when I contemplated the reasons why so few Type C hosts are currently deployed in the wild after more than a decade since RFC 4191 was published.
> 
> 
> --james woodyatt <[email-masked]>
> 
> 
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------